/* #region html, body */
html,
body {
  margin: 0;
  background: rgb(0, 94, 179);
  font-family: 'Roboto Condensed', sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  width: 100%;
  height: 100%;
  background: linear-gradient(125deg,
      rgba(226, 236, 246, 1) 0%,
      rgba(165, 175, 185, 1) 100%);
  overflow: hidden;
}

/* #endregion */

/* #region scrollbar */
::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: rgba(255, 255, 255, 0.5);
}

::-webkit-scrollbar-thumb:hover {
  background: rgba(255, 255, 255, 0.7);
}

/* #endregion */

/* #region site content container */
#site_content_container {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

/* #endregion */

/* #region login */
#login_inputs_container {
  display: flex;
  flex-direction: column;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  padding: 10px;
}

#login_button {
  margin-top: 5px;
}

.login_status_message {
  color: red;
  text-align: center;
}

/* #endregion */

/* #region navigation menu */
.topnav {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  background-color: #182231;
}

.topnav a {
  display: grid;
  word-wrap: break-word;
  color: rgba(255, 255, 255, 0.5);
  align-items: center;
  padding: 4px 8px;
  text-align: center;
  text-decoration: none;
  font-size: 17px;
  margin: 8px 8px 4px 8px;
  border-radius: 4px;
  cursor: pointer;
}

.topnav a:hover {
  background-color: #3c4d67;
}

.topnav a.active {
  background-color: #d3dbe5;
  color: #182231;
}

.topnav .icon {
  display: none;
}

@media screen and (max-width: 768px) {
  .topnav a:not(:first-child) {
    display: none;
  }

  .topnav a.icon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 768px) {
  .topnav.responsive {
    position: relative;
  }

  .topnav.responsive a.icon {
    position: absolute;
    right: 0;
    top: 0;
  }

  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}

/* #endregion */

/* #region broker UI button */
.broker_button_group_title {
  text-align: center;
  font-size: 20px;
  margin: 12px;
}

.broker_button {
  display: flex;
  flex-direction: row;
  align-items: center;
  cursor: pointer;
  padding: 12px;
  border: 1px solid rgba(255, 255, 255, 0.7);
  box-shadow: 0 10px 6px -6px rgba(0, 0, 0, 0.1);
  border-radius: 6px;
  background-color: rgba(255, 255, 255, 0.3);
  margin: 0 4px 10px 4px;
}

.broker_button:hover {
  background-color: rgba(255, 255, 255, 0.6);
}

.broker_disabled_button:hover {
  background-color: rgba(255, 255, 255, 0.3);
}

.broker_button_icon {
  font-size: 24px;
  margin: 10px 14px 10px 10px;
}

.broker_button_title {
  font-size: 20px;
  font-weight: 700;
  margin-bottom: 4px;
}

.broker_button_description {
  font-weight: 400;
}

.broker_get_button .broker_button_title {
  color: grey;
}

.broker_get_button .broker_button_icon {
  color: grey;
}

.broker_disabled_button {
  cursor: default;
}

.broker_set_button .broker_button_title {
  color: blue;
}

.broker_set_button .broker_button_icon {
  color: blue;
}

.broker_update_button .broker_button_title {
  color: darkorange;
}

.broker_update_button .broker_button_icon {
  color: darkorange;
}

.broker_release_button .broker_button_title {
  color: green;
}

.broker_release_button .broker_button_icon {
  color: green;
}

.broker_other_button .broker_button_title {
  color: rgb(174, 0, 255);
}

.broker_other_button .broker_button_icon {
  color: rgb(174, 0, 255);
}

/* #endregion */

/* #region broker request button in popup window */
.broker_request_button {
  margin: 12px auto;
  border-radius: 20px;
  border: none;
  padding: 12px 18px 10px;
  font-weight: 700;
  font-size: 16px;
  color: rgba(255, 255, 255, 0.9);
  box-shadow: 0 8px 12px -5px rgba(0, 40, 80, 0.4);
  cursor: pointer;
  text-transform: uppercase;
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.broker_request_get_button {
  background-color: grey;
}

.broker_request_set_button {
  background-color: orange;
}

.broker_request_update_button {
  background-color: red;
}

.broker_request_release_button {
  background-color: green;
}

/* #endregion */

/* #region form window */
#formWindow {
  max-height: 95%;
}

.formWindow_single_content {
  overflow: auto;
  min-width: 300px;
}

.formWindow_single_item {
  display: flex;
  flex-direction: column;
}
/* #endregion */

/* #region result html window*/
.resultWindow {
  max-height: 95%;
  max-width: 95%;
  min-width: 250px;
  background-color: rgba(165, 175, 185, 1);
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 4px;
  border-radius: 10px;
}

.resultWindow_titlebar {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background-color: rgba(0, 0, 0, 0.2);
  padding: 3px 3px 4px 3px;
  margin-bottom: 4px;
  border-radius: 8px;
  border-top: 1px solid rgba(0, 0, 0, 0.3);
  border-bottom: 1px solid rgba(255, 255, 255, 0.4);
  color: rgba(255, 255, 255, 0.8);
}

.resultWindowTitle_backButton {
  padding: 3px 9px 5px 6px;
  color: white;
  border-radius: 6px;
  background-color: rgb(16, 64, 255);
  box-shadow: 0 4px 12px -2px rgba(0, 0, 0, 0.5);
  cursor: pointer;
}

.resultWindowTitle_closeButton {
  padding: 4px 13px;
  color: white;
  border-radius: 6px;
  background-color: red;
  box-shadow: 0 4px 12px -2px rgba(0, 0, 0, 0.5);
  cursor: pointer;
}

.single_result_div {
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  padding: 6px;
}

.single_result_alone_div {
  background-color: transparent;
}

.resultText_description {
  color: rgba(0, 0, 0, 0.5);
  font-size: 16px;
}

.resultText {
  color: rgba(0, 0, 0, 0.8);
  font-size: 16px;
}

.resultText_line_group {
  margin-top: 5px;
}

.result_copy_icon {
  margin-left: 5px;
  color: rgba(255, 255, 255, 0.75);
  cursor: pointer;
  padding-right: 10px;
}

.result_copy_icon:hover {
  color: rgba(255, 255, 255, 1);
}

.result_copy_icon:active {
  color: rgb(255, 174, 0);
}

.personal_information {
  background-color: rgba(233, 200, 170, 1);
  border-radius: 10px;
  padding: 10px;
  box-shadow: 0 6px 6px -5px rgba(0, 0, 0, 0.4);
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  margin: 10px 0;
}

.personal_information_description {
  color: rgba(81, 102, 168, 1);
  font-weight: 700;
  font-size: 12px;
}

.personal_information_resultText {
  color: black;
  position: relative;
  top: -2px;
}

.sub_results_div {
  display: flex;
  flex-direction: column;
  gap: 2px;
  overflow: auto;
}

.sub_single_result_div {
  background-color: rgba(255, 255, 255, 0.3);
  margin: 4px;
  border-radius: 5px;
  padding: 6px;
}

.input_window_stylized_one_containerDiv {
  background-color: rgb(211, 215, 220);
  border-radius: 4px;
  padding: 10px 3px 5px 6px;
  border: 1px solid #f3f3f3;
  font-size: 16px;
  font-weight: 700;
  box-shadow: inset 0 3px 3px rgba(0, 0, 0, 0.2);
  position: relative;
  z-index: 2;
  font-family: 'Roboto Condensed';
}
.input_window_stylized_one_containerDiv:focus {
  outline: none;
  background-color: rgb(233, 235, 237);
}
.input_window_stylized_one_containerDiv::placeholder {
  color: rgba(0,0,0,0.2)
}
.input_window_description_stylized_one {
  padding: 2px 4px 1px;
  margin-right: auto;
  background-color: #f4f7fb;
  border-radius: 2px;
  border-top: 1px solid white;
  position: relative;
  top: 4px;
  left: 6px;
  font-size: 14px;
  text-transform: uppercase;
  font-weight: 700;
  color: rgba(0,0,0,0.5);
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.2);
  z-index: 3;
  line-height: 100%;
}
.result_window_stylized_one_containerDiv {
  background-color: rgba(0, 40, 10, 0.15);
  border-radius: 4px;
  margin-top: 10px;
  border: 1px solid #c1ccdf;
  box-shadow: inset 0 3px 3px rgba(0, 0, 0, 0.2);
}

.result_window_description_stylized_one {
  display: inline;
  padding: 2px 4px 0;
  background-color: #ccd4dd;
  border-radius: 2px;
  position: relative;
  top: -8px;
  left: 6px;
  font-size: 14px;
  text-transform: uppercase;
  font-weight: 700;
  color: rgba(0, 0, 0, 0.5);
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.2);
}

.result_window_text_stylized_one {
  position: relative;
  left: 6px;
  top: -4px;
  font-size: 22px;
  margin-right: 10px;
}

.column_div {
  display: flex;
  flex-direction: column;
  gap: 10px;
  overflow: auto;
}

.single_item_div {
  border-radius: 5px;
  background-color: rgba(255, 255, 255, 0.2);
  padding: 6px;
}

/* #endregion */

/* #region result window*/
.result_responseMessage_div {
  color: white;
  font-size: 24px;
  margin-top: 50px;
  text-align: center;
}

.old_results_container_div {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: column;
  background-color: rgba(165, 175, 185, 1);
  box-shadow: 0 16px 30px -5px rgba(0, 0, 0, 0.7);
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  border-radius: 10px;
  padding: 12px 6px 12px 12px;
  max-height: 95%;
  max-width: 95%;
  overflow: auto;
}

.results_container_content_div {
  max-height: 95%;
  overflow: auto;
  padding-right: 6px;
  display: flex;
  flex-direction: row;
}

.results_container_topSpace {
  width: 100%;
  min-height: 24px;
}

.single_result_container_div {
  max-width: 350px;
  padding: 4px 8px 8px 8px;
  background-color: rgba(255, 255, 255, 0.2);
  border-radius: 8px;
  height: 100%;
  margin: 0 4px 6px;
}

.result_keyText {
  position: relative;
  z-index: 2;
  left: -6px;
  top: 4px;
  padding: 3px 6px;
  display: inline-block;
  text-transform: uppercase;
  font-size: 12px;
  color: rgba(0, 0, 0, 0.7);
}

.result_valueText_div {
  position: relative;
  z-index: 1;
  top: -2px;
  padding: 4px 4px 2px;
  color: black;
  font-weight: 700;
  border-bottom: 1px solid rgba(0, 0, 0, 0.6);
}

.single_element_container_div {
  margin-top: 4px;
  padding: 2px;
  border-radius: 4px;
  background-color: rgba(255, 255, 255, 0.3);
  color: black;
}

.result_backButton_div {
  color: white;
  width: 62px;
  height: 26px;
  background-color: rgb(7, 62, 214);
  border-radius: 7px 0 7px 0;
  position: absolute;
  top: 3px;
  left: 3px;
  cursor: pointer;
}

.result_closeButton_div {
  color: white;
  width: 35px;
  height: 26px;
  background-color: red;
  border-radius: 0 7px 0;
  position: absolute;
  top: 3px;
  right: 3px;
  cursor: pointer;
}

/* #endregion */

.input_label {
  color: rgb(170, 170, 170);
}

.user_input {
  font-family: 'Roboto Condensed';
  font-size: 16px;
  padding: 10px;
  padding-left: 36px;
  border-radius: 20px;
  background-color: rgb(211, 215, 220);
  border: none;
  border-top: 1px solid rgba(0, 0, 0, 0.25);
  border-bottom: 1px solid rgba(255, 255, 255, 0.75);
  position: relative;
  z-index: 2;
  margin-bottom: 5px;
}

.brokerPage_input {
  border-radius: 3px;
  padding: 3px 0 2px 8px;
  margin-right: 0;
}

.brokerPage_select {
  margin-right: auto;
}

.brokerPage_select_titleless {
  margin-top: 5px;  
  padding: 6px 3px;
}

.brokerPage_input_date {
  margin-right: 0;
}

.user_input::placeholder {
  color: rgba(0, 0, 0, 0.2);
  font-family: 'Roboto Condensed';
  font-weight: 700;
  font-size: 16px;
  opacity: 1;
  /* Firefox */
}

.user_input:focus {
  outline: none;
  background-color: rgb(233, 235, 237);
}

.user_button {
  font-family: 'Roboto Condensed';
  margin-bottom: 8px;
  border-radius: 20px;
  border: none;
  background-color: rgb(22, 34, 49);
  padding: 4px;
  font-family: 'Roboto Condensed';
  font-weight: 700;
  font-size: 16px;
  color: rgba(255, 255, 255, 0.9);
  padding: 10px;
  box-shadow: 0 16px 20px -5px rgba(0, 40, 80, 0.4);
  cursor: pointer;
}

#brokerPage_container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  overflow: auto;
}

#group_tabs {
  display: flex;
  flex-direction: column;
  max-width: 768px;
}


#tabs {
  overflow: auto;
  display: flex;
  flex-direction: column;
}

.button_group {
  display: none;
  flex-flow: column;
}

.button_group_title {
  width: 100%;
}

.request_button {
  display: block;
  margin: 15px auto 20px auto;
}

#input_container {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  max-height: 100%;
  display: flex;
  justify-content: center;
}

#interaction_blocker {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  background-color: rgba(25, 25, 25, 0.75);
}

#input_background_container {
  position: relative;
  margin: 10px 0 10px 0;
  background-color: rgba(165, 175, 185, 1);
  box-shadow: 0 16px 30px -5px rgba(0, 0, 0, 0.7);
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  border-radius: 10px;
  padding: 4px;
  overflow: hidden;
}

#input_fields {
  position: relative;
  max-width: 500px;
  color: white;
  height: 100%;
  overflow: auto;
}

#input_fields::-webkit-scrollbar-track {
  background: transparent;
  margin: 0;
}

#inputFields_for_a_button {
  display: flex;
  flex-direction: column;
  margin: 5px 10px 0;
}

.input_errorMessage_container {
  display: none;
  position: relative;
  overflow: hidden;
  margin-left: 6px;
  height: 0;
  align-items: end;
}
.input_errorMessage {
  background-color: red;
  border-radius: 0 0 6px 10px;
  padding: 1px 4px 1px 3px;
  color: white;
  margin: 0 auto 0 0;
  position: relative;
  bottom: 0;
  font-size: 14px;
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.2);
}
#accountSection{
  position: absolute;
  bottom: 10px;
  right: 10px;
}
#accountSection_containerDiv{
  max-width: 300px;
  padding: 8px;
  border-top: 1px solid rgba(255, 255, 255, 0.8);
  border-bottom: 1px solid rgba(0,0,0,0.4);
  box-shadow: 0 10px 6px -6px rgba(0, 0, 0, 0.1);
  border-radius: 6px;
  background-color: rgb(48, 81, 103);
  margin: 0 4px 10px 4px;
  color: rgba(255,255,255,0.9);
}
#saved_accountInfo_container_div{
  border: 1px dashed rgba(255,255,255,0.5);
  padding: 6px;
  margin-top: 8px;
}
.brokerPage_databaseManipulator_button{
  padding: 4px;
  border-radius: 4px;
  cursor: pointer;
  margin: 4px 0 4px 0;
  display: inline-block;
  background-color: rgb(54 111 255 / 70%);
  box-shadow: 0 6px 10px -5px rgba(0, 0, 0, 0.4);
  color: white;
  border-top: 1px solid rgba(255, 255, 255, 0.3);
  border-bottom: 1px solid rgba(0, 0, 0, 0.5);
  text-align: center;
}
#nextMITNumber_submit_button{
  background-color: darkorange;
  position: absolute;
  padding: 2px 4px 2px 4px;
  border-radius: 4px;
  right: 4px;
  top: 4px;
  z-index: 4;
  border-top: 1px solid rgba(255, 255, 255, 0.3);
  box-shadow: 0 6px 6px -5px rgba(0, 0, 0, 0.3);
}

.temp_save_button{
  padding: 4px 6px;
  background-color: coral;
  border-radius: 3px;
  color: white;
  text-align: center;
  cursor: pointer;
}
.temp_copied_data_key{
  font-size: 13px;
  color: rgba(255,255,255,0.5)
}
.temp_copied_data_value{
  font-size: 13px;
}
#use_copied_data{
  padding: 4px 5px;
  display: table;
  margin: 9px auto 8px auto;
  border-radius: 2px;
  background-color: rgb(38, 114, 255);
  text-transform: uppercase;
  cursor: pointer;
}
.clear_temp_data{
  cursor: pointer;
  padding: 4px 5px;
  display: table;
  margin: 9px auto 0 auto;
  border-radius: 2px;
  background-color: rgb(255, 36, 36);
  text-transform: uppercase;
  cursor: pointer;
}
#contact_form{
  flex-direction: column;
}
#contact_form_field{
  outline: none;
  font-family: 'Roboto';
  border-radius: 4px;
  border: none;
  padding: 3px 6px;
  background-color: #ccc;
  margin-top: 8px;
}
#contact_form_button{
  font-size: 13px;
  padding: 3px 6px;
  margin: 4px;
  border-radius: 3px;
  box-shadow: 0 2px 4px rgba(0,0,0,0.3);
  cursor: pointer;
}
.contract_between_BDC_and_account{
  background-color: #ededed;
  padding: 8px 16px;
  color: black;
  box-shadow: 0 10px 15px -8px rgba(0,0,0,0.5);
}
.selectButton_in_GetAccountsByInput{
  position: relative;
    top: -2px;
    left: 5px;
    background-color: rgba(255, 255, 255, 0.5);
    outline: none;
    border: 1px solid rgba(255, 255, 255, 0.3);
    border-radius: 4px;
    padding: 0 0 2px 0;
    color: blue;
    font-size: 16px;
    font-family: "Roboto Condensed";
}
.citizenship_option{
  background-color: rgba(255, 255, 255, 0);
  border: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 4px;
  padding: 4px;
  cursor: pointer;
  color: grey; 
}